void create_water()
{
	var coord_x = 0;
	var coord_y = 0;
	var counter = 0;
	
	if(water_map_create == 0)
	{
		while(counter < 65536)
		{
			if(waData[counter].water_marker > 0 )
			{
				water[counter] = ent_create("water.mdl",vector(coord_x,coord_y,2000),NULL);
			}
			coord_x +=40;
			if(coord_x >= 10240)
			{
				coord_x = 0;
				coord_y +=40;
			}
			counter += 1;
		}
		water_map_create = 1;
	}
	else
	{
		while(counter <65536)
		{
			ptr_remove(water[counter]);
			counter += 1;
		}
		water_map_create = 0;
	}
}